hpp-corbaserver: WeighedDistance Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
WeighedDistance Class Reference

`#include <hpp/core_idl/distances-idl.hh>`

Inheritance diagram for WeighedDistance:
[legend]
Collaboration diagram for WeighedDistance:
[legend]

## Public Types
typedef WeighedDistance_ptr | _ptr_type
typedef WeighedDistance_var | _var_type
Public Types inherited from Distance
typedef Distance_ptr | _ptr_type
typedef Distance_var | _var_type

## Public Member Functions
virtual | ~WeighedDistance ()
inline ::hpp::core_idl::WeighedDistance_ptr | _this ()
Public Member Functions inherited from Distance
virtual | ~Distance ()
inline ::hpp::core_idl::Distance_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from Distance
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from Distance
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef WeighedDistance_ptr WeighedDistance::_ptr_type

## ◆ _var_type

typedef WeighedDistance_var WeighedDistance::_var_type

## Constructor & Destructor Documentation

## ◆ ~WeighedDistance()

virtual WeighedDistance::~WeighedDistance | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type WeighedDistance::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type WeighedDistance::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void WeighedDistance::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type WeighedDistance::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type WeighedDistance::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::WeighedDistance_ptr WeighedDistance::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type WeighedDistance::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type WeighedDistance::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* WeighedDistance::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/distances-idl.hh